SLockStats (Oracle - Berkeley DB Client-Server API)
Date: 2018-05-29

com.sleepycat.client

## Class SLockStats

- java.lang.Object
- - com.sleepycat.client.SLockStats

-     public class SLockStats
      extends java.lang.Object

  Lock statistics for a database environment.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getCurMaxId()` The current maximum unused locker ID.
    `int` | `getHashLen()` Maximum length of a lock hash bucket.
    `int` | `getId()` The last allocated locker ID.
    `int` | `getInitlockers()` The initial number of lockers allocated in lock table.
    `int` | `getInitlocks()` The initial number of locks allocated in the lock table.
    `int` | `getInitobjects()` The initial number of lock objects allocated in lock table.
    `int` | `getLockers()` The current number of lockers allocated in lock table.
    `long` | `getLockersNowait()` The number of requests to allocate or deallocate a locker for which the thread of control did not wait.
    `long` | `getLockersWait()` The number of requests to allocate or deallocate a locker for which the thread of control waited.
    `long` | `getLockNowait()` The number of lock requests not immediately available due to conflicts, for which the thread of control did not wait.
    `int` | `getLocks()` The current number of locks allocated in lock table.
    `long` | `getLocksteals()` The maximum number of locks stolen by an empty partition.
    `int` | `getLockTimeout()` Lock timeout value.
    `long` | `getLockWait()` The number of lock requests not immediately available due to conflicts, for which the thread of control waited.
    `int` | `getMaxHlocks()` The maximum number of locks in any hash bucket at any one time.
    `int` | `getMaxHobjects()` The maximum number of objects in any hash bucket at any one time.
    `int` | `getMaxLockers()` The maximum number of lockers possible.
    `int` | `getMaxLocks()` The maximum number of locks possible.
    `long` | `getMaxLsteals()` The maximum number of lock steals for any one partition.
    `int` | `getMaxNlockers()` The maximum number of lockers at any one time.
    `int` | `getMaxNlocks()` The maximum number of locks at any one time.
    `int` | `getMaxNobjects()` The maximum number of lock objects at any one time.
    `int` | `getMaxObjects()` The maximum number of lock objects possible.
    `long` | `getMaxOsteals()` The maximum number of object steals for any one partition.
    `int` | `getNobjects()` The number of current lock objects.
    `long` | `getNumDeadlocks()` The number of deadlocks.
    `long` | `getNumDowngrade()` The total number of locks downgraded.
    `int` | `getNumLockers()` The number of current lockers.
    `long` | `getNumLockersHit()` The number of hits in the thread locker cache.
    `long` | `getNumLockersReused()` Total number of lockers reused.
    `int` | `getNumLocks()` The number of current locks.
    `long` | `getNumLockTimeouts()` The number of lock requests that have timed out.
    `int` | `getNumModes()` The number of lock modes.
    `long` | `getNumReleases()` The total number of locks released.
    `long` | `getNumRequests()` The total number of locks requested.
    `long` | `getNumTxnTimeouts()` The number of transactions that have timed out.
    `long` | `getNumUpgrade()` The total number of locks upgraded.
    `int` | `getObjects()` The current number of lock objects allocated in lock table.
    `long` | `getObjectsteals()` The maximum number of objects stolen by an empty partition.
    `long` | `getObjsNowait()` The number of requests to allocate or deallocate an object for which the thread of control did not wait.
    `long` | `getObjsWait()` The number of requests to allocate or deallocate an object for which the thread of control waited.
    `int` | `getPartitions()` The number of lock table partitions.
    `long` | `getPartMaxNowait()` The number of times that a thread of control was able to obtain any one lock partition mutex without waiting.
    `long` | `getPartMaxWait()` The maximum number of times that a thread of control was forced to wait before obtaining any one lock partition mutex.
    `long` | `getPartNowait()` The number of times that a thread of control was able to obtain a lock partition mutex without waiting.
    `long` | `getPartWait()` The number of times that a thread of control was forced to wait before obtaining a lock partition mutex.
    `long` | `getRegionNowait()` The number of times that a thread of control was able to obtain the lock region mutex without waiting.
    `long` | `getRegionWait()` The number of times that a thread of control was forced to wait before obtaining the lock region mutex.
    `long` | `getRegSize()` The size of the lock region.
    `int` | `getTableSize()` The size of object hash table.
    `int` | `getTxnTimeout()` Transaction timeout value.
    `java.lang.String` | `toString()` For convenience, the SLockStats class has a toString method that lists all the data fields.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### getId

          public int getId()

      The last allocated locker ID.
      Returns:
        the last allocated locker ID

    - #### getCurMaxId

          public int getCurMaxId()

      The current maximum unused locker ID.
      Returns:
        the current maximum unused locker ID

    - #### getInitlocks

          public int getInitlocks()

      The initial number of locks allocated in the lock table.
      Returns:
        the initial number of locks allocated in the lock table

    - #### getInitlockers

          public int getInitlockers()

      The initial number of lockers allocated in lock table.
      Returns:
        the initial number of lockers allocated in lock table

    - #### getInitobjects

          public int getInitobjects()

      The initial number of lock objects allocated in lock table.
      Returns:
        the initial number of lock objects allocated in lock table

    - #### getLocks

          public int getLocks()

      The current number of locks allocated in lock table.
      Returns:
        the current number of locks allocated in lock table

    - #### getLockers

          public int getLockers()

      The current number of lockers allocated in lock table.
      Returns:
        the current number of lockers allocated in lock table

    - #### getObjects

          public int getObjects()

      The current number of lock objects allocated in lock table.
      Returns:
        the current number of lock objects allocated in lock table

    - #### getMaxLocks

          public int getMaxLocks()

      The maximum number of locks possible.
      Returns:
        the maximum number of locks possible

    - #### getMaxLockers

          public int getMaxLockers()

      The maximum number of lockers possible.
      Returns:
        the maximum number of lockers possible

    - #### getMaxObjects

          public int getMaxObjects()

      The maximum number of lock objects possible.
      Returns:
        the maximum number of lock objects possible

    - #### getPartitions

          public int getPartitions()

      The number of lock table partitions.
      Returns:
        the number of lock table partitions

    - #### getTableSize

          public int getTableSize()

      The size of object hash table.
      Returns:
        the size of object hash table

    - #### getNumModes

          public int getNumModes()

      The number of lock modes.
      Returns:
        the number of lock modes

    - #### getNumLockers

          public int getNumLockers()

      The number of current lockers.
      Returns:
        the number of current lockers

    - #### getNumLocks

          public int getNumLocks()

      The number of current locks.
      Returns:
        the number of current locks

    - #### getMaxNlocks

          public int getMaxNlocks()

      The maximum number of locks at any one time. Note that if there is more than one partition, this is the sum of the maximum across all partitions.
      Returns:
        the maximum number of locks at any one time

    - #### getMaxHlocks

          public int getMaxHlocks()

      The maximum number of locks in any hash bucket at any one time.
      Returns:
        the maximum number of locks in any hash bucket at any one time

    - #### getLocksteals

          public long getLocksteals()

      The maximum number of locks stolen by an empty partition.
      Returns:
        the maximum number of locks stolen by an empty partition

    - #### getMaxLsteals

          public long getMaxLsteals()

      The maximum number of lock steals for any one partition.
      Returns:
        the maxinum number of lock steals for any one partition

    - #### getMaxNlockers

          public int getMaxNlockers()

      The maximum number of lockers at any one time.
      Returns:
        the maximum number of lockers at any one time

    - #### getNobjects

          public int getNobjects()

      The number of current lock objects.
      Returns:
        the number of current lock objects

    - #### getMaxNobjects

          public int getMaxNobjects()

      The maximum number of lock objects at any one time. Note that if there is more than one partition this is the sum of the maximum across all partitions.
      Returns:
        the maximum number of lock objects at any one time

    - #### getMaxHobjects

          public int getMaxHobjects()

      The maximum number of objects in any hash bucket at any one time.
      Returns:
        the maximum number of objects in any hash bucket at any one time

    - #### getObjectsteals

          public long getObjectsteals()

      The maximum number of objects stolen by an empty partition.
      Returns:
        the maximum number of objects stolen by an empty partition

    - #### getMaxOsteals

          public long getMaxOsteals()

      The maximum number of object steals for any one partition.
      Returns:
        the maximum number of object steals for any one partition

    - #### getNumRequests

          public long getNumRequests()

      The total number of locks requested.
      Returns:
        the total number of locks requested

    - #### getNumReleases

          public long getNumReleases()

      The total number of locks released.
      Returns:
        the total number of locks released

    - #### getNumUpgrade

          public long getNumUpgrade()

      The total number of locks upgraded.
      Returns:
        the total number of locks upgraded

    - #### getNumDowngrade

          public long getNumDowngrade()

      The total number of locks downgraded.
      Returns:
        the total number of locks downgraded

    - #### getLockWait

          public long getLockWait()

      The number of lock requests not immediately available due to conflicts, for which the thread of control waited.
      Returns:
        the number of lock requests not immediately available due to conflicts, for which the thread of control waited

    - #### getLockNowait

          public long getLockNowait()

      The number of lock requests not immediately available due to conflicts, for which the thread of control did not wait.
      Returns:
        the number of lock requests not immediately available due to conflicts, for which the thread of control did not wait

    - #### getNumDeadlocks

          public long getNumDeadlocks()

      The number of deadlocks.
      Returns:
        the number of deadlocks

    - #### getLockTimeout

          public int getLockTimeout()

      Lock timeout value.
      Returns:
        lock timeout value

    - #### getNumLockTimeouts

          public long getNumLockTimeouts()

      The number of lock requests that have timed out.
      Returns:
        the number of lock requests that have timed out

    - #### getTxnTimeout

          public int getTxnTimeout()

      Transaction timeout value.
      Returns:
        transaction timeout value

    - #### getNumTxnTimeouts

          public long getNumTxnTimeouts()

      The number of transactions that have timed out. This value is also a component of `getNumDeadlocks()`, the total number of deadlocks detected.
      Returns:
        the number of transactions that have timed out

    - #### getPartWait

          public long getPartWait()

      The number of times that a thread of control was forced to wait before obtaining a lock partition mutex.
      Returns:
        the number of times that a thread of control was forced to wait before obtaining a lock partition mutex

    - #### getPartNowait

          public long getPartNowait()

      The number of times that a thread of control was able to obtain a lock partition mutex without waiting.
      Returns:
        the number of times that a thread of control was able to obtain a lock partition mutex without waiting

    - #### getPartMaxWait

          public long getPartMaxWait()

      The maximum number of times that a thread of control was forced to wait before obtaining any one lock partition mutex.
      Returns:
        the maximum number of times that a thread of control was forced to wait before obtaining any one lock partition mutex

    - #### getPartMaxNowait

          public long getPartMaxNowait()

      The number of times that a thread of control was able to obtain any one lock partition mutex without waiting.
      Returns:
        the number of times that a thread of control was able to obtain any one lock partition mutex without waiting

    - #### getObjsWait

          public long getObjsWait()

      The number of requests to allocate or deallocate an object for which the thread of control waited.
      Returns:
        the number of requests to allocate or deallocate an object for which the thread of control waited

    - #### getObjsNowait

          public long getObjsNowait()

      The number of requests to allocate or deallocate an object for which the thread of control did not wait.
      Returns:
        the number of requests to allocate or deallocate an object for which the thread of control did not wait

    - #### getLockersWait

          public long getLockersWait()

      The number of requests to allocate or deallocate a locker for which the thread of control waited.
      Returns:
        the number of requests to allocate or deallocate a locker for which the thread of control waited

    - #### getLockersNowait

          public long getLockersNowait()

      The number of requests to allocate or deallocate a locker for which the thread of control did not wait.
      Returns:
        the number of requests to allocate or deallocate a locker for which the thread of control did not wait

    - #### getRegionWait

          public long getRegionWait()

      The number of times that a thread of control was forced to wait before obtaining the lock region mutex.
      Returns:
        the number of times that a thread of control was forced to wait before obtaining the lock region mutex

    - #### getRegionNowait

          public long getRegionNowait()

      The number of times that a thread of control was able to obtain the lock region mutex without waiting.
      Returns:
        the number of times that a thread of control was able to obtain the lock region mutex without waiting

    - #### getNumLockersHit

          public long getNumLockersHit()

      The number of hits in the thread locker cache.
      Returns:
        the number of hits in the thread locker cache

    - #### getNumLockersReused

          public long getNumLockersReused()

      Total number of lockers reused.
      Returns:
        total number of lockers reused

    - #### getHashLen

          public int getHashLen()

      Maximum length of a lock hash bucket.
      Returns:
        maximum length of a lock hash bucket

    - #### getRegSize

          public long getRegSize()

      The size of the lock region.
      Returns:
        the size of the lock region

    - #### toString

          public java.lang.String toString()

      For convenience, the SLockStats class has a toString method that lists all the data fields.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        a String that lists all fields

Copyright (c) 2016, 2018 Oracle and/or its affiliates. All rights reserved.